Package org.opensaml.saml.metadata.resolver.index.impl

# Class SAMLArtifactMetadataIndex.ArtifactSourceIDMetadataIndexKey

java.lang.Object
org.opensaml.saml.metadata.resolver.index.impl.SAMLArtifactMetadataIndex.ArtifactSourceIDMetadataIndexKey

All Implemented Interfaces:
  `MetadataIndexKey`

Enclosing class:
  SAMLArtifactMetadataIndex

protected static class SAMLArtifactMetadataIndex.ArtifactSourceIDMetadataIndexKey extends Object implements MetadataIndexKey
An implementation of `MetadataIndexKey` representing a SAML artifact SourceID value.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final byte[]`
`sourceID`
The SourceID value.

## Constructor Summary

Constructors
Constructor
Description
`ArtifactSourceIDMetadataIndexKey(byte[] newSourceID)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`byte[]`
`getSourceID()`
Get the SourceID value.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### sourceID

@Nonnull @NotEmpty private final byte[] sourceID
The SourceID value.

## Constructor Details

### ArtifactSourceIDMetadataIndexKey

public ArtifactSourceIDMetadataIndexKey(@Nonnull @NotEmpty byte[] newSourceID)
Constructor.

Parameters:
  `newSourceID` - the artifact SourceID value

## Method Details

### getSourceID

@Nonnull @NotEmpty public byte[] getSourceID()
Get the SourceID value.

Returns:
  the SourceID value

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`